%define openmotif 1

Summary: An OSF/Motif(R) clone.
Name: lesstif
Version: 0.93.18
Release: 5
License: LGPL
Group: Development/Libraries
Source: ftp://ftp.hungry.com/pub/hungry/lesstif/srcdist/lesstif-%{version}.tar.bz2
Patch: lesstif-0.93.15-rh.patch
Url: http://www.lesstif.org/
Obsoletes: lesstif-clients lesstif-mwm
Requires: XFree86
BuildRequires: XFree86-devel, bison, flex
BuildRoot: %{_tmppath}/%{name}-root
Prefix: /usr/X11R6

%description
LessTif is a free replacement for OSF/Motif(R), which provides a full
set of widgets for application development (menus, text entry areas,
scrolling windows, etc.). LessTif is source compatible with
OSF/Motif(R) 1.2.

This package provides the lesstif 1.2 runtime libraries.

%package 2.0
Summary: An OSF/Motif(R) clone
Group: Development/Libraries

%description 2.0
LessTif is a free replacement for OSF/Motif(R), which provides a full
set of widgets for application development (menus, text entry areas,
scrolling windows, etc.).

This package provides the lesstif 2.0 runtime libraries.

%package devel
Summary: Static library and header files for LessTif/Motif development.
Group: Development/Libraries
Requires: XFree86-devel, lesstif = %{version}
Obsoletes: lesstif-1.2-devel
Provides: lesstif-1.2-devel

%description devel
Lesstif-devel contains the lesstif static library and header files
required to develop Motif-1.2-based applications using LessTif. If you
want to develop LessTif applications, you'll need to install
lesstif-devel along with lesstif.

%package mwm
Summary: Lesstif Motif window manager clone based on fvwm
Group: User Interface/Desktops
Requires: lesstif = %{version}
Obsoletes: motif-mwm

%description mwm
MWM is a window manager that adheres largely to the Motif mwm specification.

%prep
%setup -q
%patch -p1 -b .redhat

LESSTIFTOP=$PWD
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
    --enable-shared --enable-static \
    --with-xpm-includes=/usr/X11R6/include \
    --with-xpm-libraries=/usr/X11R6/lib \
    --enable-production \
    --enable-build-12 \
    --enable-default-12 \
    --disable-build-20 \
%if %{openmotif}
    --disable-build-21 \
%else
    --enable-build-21 \
%endif
    --disable-maintainer-mode --disable-debug

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/X11 \
         $RPM_BUILD_ROOT%{prefix}/include

# mwm config files to /etc/X11
#mv $RPM_BUILD_ROOT%{prefix}/lib/X11/mwm $RPM_BUILD_ROOT/etc/X11
#cd $RPM_BUILD_ROOT%{prefix}/lib/X11/
#ln -s ../../../../etc/X11/mwm mwm

cd $RPM_BUILD_ROOT%{prefix}/lib/
%if %{openmotif} == 0
ln -sf ../LessTif/Motif2.1/lib/* .
%endif
ln -sf ../LessTif/Motif1.2/lib/* .
cd $RPM_BUILD_ROOT%{prefix}/include/
ln -sf ../LessTif/Motif1.2/include/* .
cd $RPM_BUILD_ROOT%{prefix}/bin/
ln -sf ../LessTif/Motif1.2/bin/* .
%if %{openmotif} == 0
ln -sf ../LessTif/Motif2.1/bin/mwm .
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUG-REPORTING COPYING COPYING.LIB CREDITS 
%doc ChangeLog NEWS README
%dir /usr/X11R6/LessTif
%dir /usr/X11R6/LessTif/Motif1.2
%dir /usr/X11R6/LessTif/Motif1.2/lib
%dir /usr/X11R6/LessTif/Motif1.2/bin
/usr/X11R6/LessTif/Motif1.2/lib/*.so.*
/usr/X11R6/lib/libMrm.so.*
/usr/X11R6/lib/libXm.so.*
/usr/X11R6/lib/libUil.so.*

%if %{openmotif} == 0
%dir /usr/X11R6/LessTif/Motif2.1
%dir /usr/X11R6/LessTif/Motif2.1/lib
%dir /usr/X11R6/LessTif/Motif2.1/bin
/usr/X11R6/bin/xmbind
/usr/X11R6/LessTif/Motif1.2/bin/xmbind
/usr/X11R6/man/man1/xmbind.1*
/usr/X11R6/LessTif/Motif2.1/lib/*.so.*
/usr/X11R6/lib/libDtPrint.so.*
%endif

%if %{openmotif} == 0
%files mwm
%defattr(-,root,root)
%doc clients/Motif-1.2/mwm/COPYING
%doc clients/Motif-1.2/mwm/README
#%config /etc/X11/mwm
/usr/X11R6/lib/X11/mwm
/usr/X11R6/bin/mwm
/usr/X11R6/LessTif/Motif1.2/bin/mwm
%config /usr/X11R6/lib/X11/app-defaults/Mwm
/usr/X11R6/man/man1/mwm.1*
/usr/X11R6/man/man5/mwmrc.5*
%endif

%files devel
%defattr(-,root,root)
/usr/X11R6/LessTif/Motif1.2/bin/uil
/usr/X11R6/LessTif/Motif1.2/include
/usr/X11R6/LessTif/Motif1.2/lib/lib*.a
/usr/X11R6/LessTif/Motif1.2/lib/lib*.la
/usr/X11R6/LessTif/Motif1.2/lib/*.so

%if %{openmotif} == 0
/usr/X11R6/bin/uil
/usr/X11R6/bin/mxmkmf
/usr/X11R6/LessTif/Motif2.1/include
/usr/X11R6/LessTif/Motif2.1/lib/lib*.a
/usr/X11R6/LessTif/Motif2.1/lib/lib*.la
/usr/X11R6/LessTif/Motif2.1/lib/*.so
/usr/X11R6/lib/libMrm.so
/usr/X11R6/lib/libXm.so
/usr/X11R6/lib/libUil.so
/usr/X11R6/lib/libDtPrint.so
/usr/X11R6/lib/lib*.a
/usr/X11R6/lib/lib*.la
/usr/X11R6/include/Mrm
/usr/X11R6/include/Xm
/usr/X11R6/include/Dt
/usr/X11R6/include/uil
%endif

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 0.93-18-4
- fixed bug #66939

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Than Ngo <than@redhat.com> 0.93-18-2
- rebuild

* Tue Feb 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 0.93.18-1
- 0.93.18
- Fix download URL

* Wed Jan 16 2002 Than Ngo <than@redhat.com> 0.93-15-4
- get rid of lesstif-mwm, use mwm in openmotif
- fix lesstif so that it can be installed with openmotif
- build only lesstif 1.x since openmotif is in 8.0

* Thu Nov 29 2001 Than Ngo <than@redhat.com> 0.93.15-2
- add missing header files

* Wed Nov 28 2001 Than Ngo <than@redhat.com> 0.93.15-1
- updated to 0.93.15
- fixed bug #56780, #56573, #56821
- sub package mwm
- libXbae and libXlt as separate packages
- disable lesstif 2.x
- clean up patch file for 0.93.15

* Mon Aug 13 2001 Than Ngo <than@redhat.com> 0.92-32-6
- fix bug #51595, #51411 

* Wed Aug  8 2001 Than Ngo <than@redhat.com>
- owns some directories (bug #51154)

* Tue Jul 24 2001 Tim Powers <timp@redhat.com>
- fix dangling symlinks (/usr/X11R6/LessTif/Motif1.2/bin was missing from the filelist)

* Wed Jul 04 2001 Than Ngo <than@redhat.com> 0.92.32-3
- fix package group (Bug #47281)
- Copyright -> License

* Tue Jun 12 2001 Than Ngo <than@redhat.com>
- enable Motif 1.2 as default

* Sat May 02 2001 Than Ngo <than@redhat.com>
- update to 0.92.32
- enable Motif 2.1
- add conflict with openmotif
- add BuildRequires

* Mon Feb 05 2001 Than Ngo <than@redhat.com>
- Obsoletes Xbae, It's a part in lesstif and is up to date.

* Tue Dec 19 2000 Than Ngo <than@redhat.com>
- update to 0.92.0
- bzip2 sources
- add %%clean

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- fix permission of Xm and Mrm

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Wed May 31 2000 Than Ngo <than@redhat.de>
- update to 0.91.0
- fix conflict with openmotif
- remove part lesstif 2.0
- cleanup specfile

* Sun Apr 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.90.0
- handle gzip'ed man pages

* Tue Feb  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix a typo in files list (lib*.a, not lib.*a)

* Wed Jan 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.89.9
- Fix packaging issues (Bug #8607)
- bzip2 source to save space
- disable debugging

* Sun Nov 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.89.4
- some spec file cleanups
- handle RPM_OPT_FLAGS

* Thu Jul 2 1999 Tim Powers <timp@redhat.com>
- added 1.2-devel and 2.0-devel descriptions and file lists
- made default build 2.0
- changed decriptions for all packages
- added Requires: to 1.2-devel, 2.0-devel, clients, and mwm
- built for Powertools

* Thu Apr 30 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Updated to lessdoc-current.
- Removes Lessdox package (integrated into lesstif)

* Tue Mar 31 1998 C. Scott Ananian <cananian@alumni.princeton.edu>      (0.83+)
- Removed pedantic.patch
- Removed lesstif-M12 (Motif 1.2 wrapper)
- Reviewed installation and fixed %files sections.
- Added patch to fix a bug which causes mozilla to crash.
- Added patch to fix the include prefix on install.

* Sun Jul 20 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>        (0.80-2)
- added to all %doc %attr macros (this allow build package from normal user
  account),
- some simplification in %files (%doc).
* Wed Jul 9 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
- added using %%{PACKAGE_VERSION} macro in "Source:" and %files,
- added additional parameter "--enable-build-12" to runing configure,
- added %posun and %clear,
- in %post and %postun ldconfig is called as parameter with "-p"
  (this feature is avalable in rpm >= 2.4.3 and you must have this
  version and if you want recompile package from src.rpm you must have new
  version rpm),
- added package lesstif-M12 simpe Motif 1.2 wrapper,
- simplified %install section,
- added %attr macros in %files sections,
- added striping shared libraries,
- added URL field,
- added Lessdox - a html development documentation to lesstif-devel,
- added lesstif-0.80public-nopedantic.patch, this allow compile lesstif on
  sparc by removing "-pedantic" from CFLAGS.
